Loading...
Searching...
No Matches
WaterfallUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| WaterfallUpdateEvent (const std::vector< volk::vector< double > > dataPoints, const uint64_t numDataPoints, const gr::high_res_timer_type dataTimestamp)
| ~WaterfallUpdateEvent () override
int | which () const
const std::vector< const double * > | getPoints () const
uint64_t | getNumDataPoints () const
bool | getRepeatDataFlag () const
gr::high_res_timer_type | getDataTimestamp () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## WaterfallUpdateEvent()

WaterfallUpdateEvent::WaterfallUpdateEvent | ( | const std::vector< volk::vector< double > > | dataPoints,
|  | const uint64_t | numDataPoints,
|  | const gr::high_res_timer_type | dataTimestamp )

## ~WaterfallUpdateEvent()

WaterfallUpdateEvent::~WaterfallUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getDataTimestamp()

gr::high_res_timer_type WaterfallUpdateEvent::getDataTimestamp | ( |  | ) | const

## getNumDataPoints()

uint64_t WaterfallUpdateEvent::getNumDataPoints | ( |  | ) | const

## getPoints()

const std::vector< const double * > WaterfallUpdateEvent::getPoints | ( |  | ) | const

## getRepeatDataFlag()

bool WaterfallUpdateEvent::getRepeatDataFlag | ( |  | ) | const

## Type()

QEvent::Type WaterfallUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int WaterfallUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h